import chroma from 'chroma-js';

export const getColorPalette = (theme, accent_color, mode) => {
	if (!theme) theme = chroma(accent_color).luminance() <= 0.48 ? 'light' : 'dark';
	const scale = chroma.scale([accent_color, theme === 'light' ? '#fff' : '#000']);


	if (mode === 'text') {
		return {
			background: 'transparent',
			ripple: scale(0.8),
			text: accent_color,
		};
	}

	return {
		background: accent_color,
		ripple: scale(0.4),
		text: theme === 'light' ? 'rgba(255,255,255,0.9)' : 'rgba(0,0,0,0.7)',
	};
};
