import { StyleSheet, Platform } from 'react-native';

export default StyleSheet.create({
	container: {
		alignSelf: 'center',
		alignItems: 'center',
		justifyContent: 'center',

		overflow: 'visible',
	},
	innerContainer: {
		alignSelf: 'stretch',
		alignItems: 'center',
		justifyContent: 'center',

		borderRadius: Platform.OS === 'ios' ? 7 : 3,
		overflow: 'hidden',
	},
	button: (accentColor) => ({
		alignSelf: 'stretch',
		alignItems: 'center',
		justifyContent: 'center',

		backgroundColor: accentColor,

		...Platform.select({
			ios: {
				paddingHorizontal: 35,
				paddingVertical: 14,

				borderRadius: 8,
			},
			android: {
				paddingHorizontal: 18,
				paddingVertical: 8,

				borderRadius: 4,
			},
		}),
	}),
	title: (textColor) => ({
		color: textColor,
		fontSize: 16,
	}),
});
