import { StyleSheet, Platform } from 'react-native';
import chroma from 'chroma-js';

export default StyleSheet.create({
	container: (accentColor: string, selected: boolean) => ({
		alignSelf: 'flex-start',

		paddingHorizontal: 20,
		paddingVertical: 3,
		borderRadius: 100,

		backgroundColor: chroma(accentColor).alpha(selected ? 1 : 0.1).css(),
	}),
	text: (accentColor: string, selected: boolean) => ({
		color: selected ? 'white' : accentColor,

		fontSize: (Platform.OS === 'ios' ? 17 : 15),
	}),
	touchable: {
		alignSelf: 'stretch',
	},
});
