import { Platform, StyleSheet } from 'react-native';

export default StyleSheet.create({
	container: (accentColor, size, margin) => ({
		width: size,
		height: size,

		marginBottom: margin,
		marginEnd: margin,

		backgroundColor: accentColor,

		...Platform.select({
			android: {
				elevation: 10,
				overflow: 'hidden',

				borderRadius: 28,
			},
			ios: {
				shadowColor: 'black',
				shadowRadius: 10,
				shadowOpacity: 0.25,
				shadowOffset: { height: 5 },

				borderRadius: 16,
			},
		}),
	}),
	touchable: {
		flex: 1,
		alignSelf: 'stretch',
	},
	touchableContent: {
		flex: 1,
		alignSelf: 'stretch',
		justifyContent: 'center',
		alignItems: 'center',
	},
});
