import * as React from 'react';
import { View, Text, StyleSheet, PixelRatio } from 'react-native';
import PropTypes from 'prop-types';

const SectionSeparator = (props) => (
	<View style={styles.container}>
		<View style={styles.line(props.accentColor)} />
		<Text style={styles.title(props.accentColor)}>{props.title}</Text>
		<View style={styles.line(props.accentColor)} />
	</View>
);

const styles = StyleSheet.create({
	container: {
		flexDirection: 'row',
		alignItems: 'center',
		justifyContent: 'center',

		marginTop: 36,
		marginBottom: 10,
	},
	line: (accentColor) => ({
		width: 20,
		height: 2 / PixelRatio.get(),

		backgroundColor: accentColor,
	}),
	title: (accentColor) => ({
		height: 20,
		marginHorizontal: 6,

		color: accentColor,
	}),
});

SectionSeparator.propTypes = {
	accentColor: PropTypes.string,
	title: PropTypes.string.isRequired,
};

SectionSeparator.defaultProps = {
	accentColor: require('../config').accent_color,
};

export default SectionSeparator;
