import { StyleSheet, Platform } from 'react-native';
import chroma from 'chroma-js';

export default StyleSheet.create({
	container: {
		flexDirection: 'row',
		alignSelf: 'center',
		alignItems: 'center',

		marginVertical: (Platform.OS === 'ios' ? 6 : 9),

		overflow: 'hidden',
		borderRadius: (Platform.OS === 'ios' ? 8 : 0),
	},

	segmentContainer: {
		flex: 1,
	},

	segment: (selected: boolean, accentColor: string) => {
		const styles = {
			alignItems: 'center',

			...Platform.select({
				ios: {
					paddingVertical: 14,
					backgroundColor: chroma('black').alpha(0.05).css(),
				},
				android: {
					paddingVertical: 9,
				},
			}),
		};
		const selectedStyles = Platform.select({
			ios: {
				backgroundColor: chroma(accentColor).alpha(0.15).css(),
			},
			android: {
				borderBottomWidth: 2,
				borderColor: accentColor,
			},
		});

		return selected ? { ...styles, ...selectedStyles } : styles;
	},

	segmentTitle: (selected: boolean, accentColor: string) => {
		const styles = {
			color: '#878787',
			fontSize: 16,
		};

		const selectedStyles = {
			color: accentColor,
		};

		return selected ? { ...styles, ...selectedStyles } : styles;
	},
});
