import { StyleSheet, Platform } from 'react-native';

export default StyleSheet.create({
	container: (borderColor) => ({
		flexDirection: 'row',

		...Platform.select({
			ios: {
				height: 48,
				marginVertical: 6,

				borderWidth: 0.5,
				borderRadius: 8,
				borderColor,
			},
			android: {
				marginVertical: 9,
			},
		}),
	}),

	input: (textColor, overlayGravity, secureTextEntry) => ({
		flex: 1,
		fontSize: 16,
		color: textColor,

		paddingStart: overlayGravity === 'flex-start' ? 46 : 20,
		paddingEnd: secureTextEntry ? 60 : 28,
		textAlign: 'left',
	}),

	togglePasswordButton: {
		position: 'absolute',
		top: 0,
		right: 8,
		bottom: 0,

		justifyContent: 'center',

		backgroundColor: 'transparent',
	},
	togglePasswordButtonText: (textColor) => ({
		fontSize: 13,
		padding: 8,

		color: textColor,
	}),

	overlay: (gravity) => ({
		flexDirection: 'row',
		alignSelf: 'center',
		alignItems: 'center',
		justifyContent: gravity,

		position: 'absolute',
		start: 4,
		top: 0,
		end: (Platform.OS === 'ios' ? 12 : 4),
		bottom: 0,

		paddingHorizontal: 8,
		paddingBottom: Platform.OS === 'ios' ? 0 : 2,
	}),
	overlayAction: (interactive, gravity) => ({
		...(interactive ? {} : {
			backgroundColor: 'transparent',
			flex: 1,
			flexDirection: 'row',
			justifyContent: gravity,
		}),
	}),
});
